Delete item button from a screen

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.lsk.lightspeed.app/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lightspeed Restaurant K-Series MCP server": {
    "url": "https://api-docs.lsk.lightspeed.app/mcp"
  }
}

Close
DELETE /items/integration/v2/business-locations/{businessLocationId}/menus/{menuId}/screens/{screenId}/items/{itemId}

Delete an item button from a screen For a local menu or shared menu overriden screen business location should match For a shared button in a shared menu business location should be the main location

Path parameters

  • businessLocationId integer(int64) Required

    The unique identifier for the business location.

  • menuId integer(int64) Required

    The unique identifier for the menu.

  • screenId integer(int64) Required

    The unique identifier for the screen.

  • itemId integer(int64) Required

    Item id

Responses

  • 204

    Buttons removed

  • 403 application/json

    The business location may not remove any of the item's buttons on this screen, because they are shared and the location is not the main one, or because the menu does not allow local edits.

    Hide response attributes Show response attributes object
    • status string

      The HTTP status, as its Spring HttpStatus name.

    • timestamp string(date-time)
    • message string

      A human-readable summary of the failure.

    • errorCode string

      A stable, machine-readable code identifying the failure.

    • details string

      Context identifying what the failure applies to.

    • apiSubExceptions array[object]

      Per-field failures. Always present, and empty when the failure is not field-scoped.

      Hide apiSubExceptions attributes Show apiSubExceptions attributes object
      • field string
      • rejectedValue string
      • message string
  • 404 application/json

    The item does not exist in the business location, or it has no button on this screen.

    Hide response attributes Show response attributes object
    • status string

      The HTTP status, as its Spring HttpStatus name.

    • timestamp string(date-time)
    • message string

      A human-readable summary of the failure.

    • errorCode string

      A stable, machine-readable code identifying the failure.

    • details string

      Context identifying what the failure applies to.

    • apiSubExceptions array[object]

      Per-field failures. Always present, and empty when the failure is not field-scoped.

      Hide apiSubExceptions attributes Show apiSubExceptions attributes object
      • field string
      • rejectedValue string
      • message string
  • 500 application/json

    The buttons could not be removed.

    Hide response attributes Show response attributes object
    • status string

      The HTTP status, as its Spring HttpStatus name.

    • timestamp string(date-time)
    • message string

      A human-readable summary of the failure.

    • errorCode string

      A stable, machine-readable code identifying the failure.

    • details string

      Context identifying what the failure applies to.

    • apiSubExceptions array[object]

      Per-field failures. Always present, and empty when the failure is not field-scoped.

      Hide apiSubExceptions attributes Show apiSubExceptions attributes object
      • field string
      • rejectedValue string
      • message string
DELETE /items/integration/v2/business-locations/{businessLocationId}/menus/{menuId}/screens/{screenId}/items/{itemId}
curl \
 --request DELETE 'https://api.trial.lsk.lightspeed.app/items/integration/v2/business-locations/{businessLocationId}/menus/{menuId}/screens/{screenId}/items/{itemId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (403)
{
  "status": "BAD_REQUEST",
  "timestamp": "2026-05-04T09:42:00Z",
  "message": "string",
  "errorCode": "ikentoo.error.name.in-use",
  "details": "My Item",
  "apiSubExceptions": [
    {
      "field": "string",
      "rejectedValue": "string",
      "message": "string"
    }
  ]
}
Response examples (404)
{
  "status": "BAD_REQUEST",
  "timestamp": "2026-05-04T09:42:00Z",
  "message": "string",
  "errorCode": "ikentoo.error.name.in-use",
  "details": "My Item",
  "apiSubExceptions": [
    {
      "field": "string",
      "rejectedValue": "string",
      "message": "string"
    }
  ]
}
Response examples (500)
{
  "status": "BAD_REQUEST",
  "timestamp": "2026-05-04T09:42:00Z",
  "message": "string",
  "errorCode": "ikentoo.error.name.in-use",
  "details": "My Item",
  "apiSubExceptions": [
    {
      "field": "string",
      "rejectedValue": "string",
      "message": "string"
    }
  ]
}